# ifndef DirectionTestCase_h
# define DirectionTestCase_h
#include "TestHeader.h"
class DirectionTestCase:
  public TestFixture
{
public:
  CPPUNIT_TEST_SUITE( DirectionTestCase );
  CPPUNIT_TEST( blockedSquare );
  CPPUNIT_TEST( knightDirections );
  CPPUNIT_TEST( allInstances );
  CPPUNIT_TEST_SUITE_END();
protected:
  void blockedSquare();
  void knightDirections();
  void allInstances();
};
#endif
